# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added
- Initial release of Regex Field Validator module
- Support for text field regex validation with backend configuration
- Support for textarea field regex validation  
- Custom error message configuration
- Enable/disable validation per field instance
- Drupal 10 and 11 compatibility
- Server-side validation with automatic delimiter handling

### Security
- All regex patterns are validated server-side
- Input sanitization and proper error handling

## [1.0.0] - 2025-06-22

### Added
- Initial stable release